Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes
tesseract::FeatureBmp Class Reference

`#include <feature_bmp.h>`

Inheritance diagram for tesseract::FeatureBmp:

List of all members.

## Public Member Functions

| FeatureBmp (TuningParams *params)
virtual | ~FeatureBmp ()
virtual CharSamp * | ComputeFeatureBitmap (CharSamp *samp)
virtual bool | ComputeFeatures (CharSamp *samp, float *features)
virtual int | FeatureCnt ()
Public Member Functions inherited from tesseract::FeatureBase
| FeatureBase (TuningParams *params)
virtual | ~FeatureBase ()

## Protected Attributes

int | conv_grid_size_
Protected Attributes inherited from tesseract::FeatureBase
TuningParams * | params_

## Detailed Description

Definition at line 33 of file feature_bmp.h.

## Constructor & Destructor Documentation

tesseract::FeatureBmp::FeatureBmp | ( | TuningParams * | params | ) |

explicit

Definition at line 31 of file feature_bmp.cpp.

:FeatureBase(params) {
conv_grid_size_ = params->ConvGridSize();
}

tesseract::FeatureBmp::~FeatureBmp | ( |  | ) |

virtual

Definition at line 36 of file feature_bmp.cpp.

{
}

## Member Function Documentation

CharSamp * tesseract::FeatureBmp::ComputeFeatureBitmap | ( | CharSamp * | samp | ) |

virtual

Implements tesseract::FeatureBase.

Definition at line 41 of file feature_bmp.cpp.

{
return char_samp->Scale(conv_grid_size_, conv_grid_size_);
}

bool tesseract::FeatureBmp::ComputeFeatures | ( | CharSamp * | samp,
|  | float * | features
| ) |  |

virtual

Implements tesseract::FeatureBase.

Definition at line 46 of file feature_bmp.cpp.

{
return char_samp->ComputeFeatures(conv_grid_size_, features);
}

virtual int tesseract::FeatureBmp::FeatureCnt | ( |  | ) |

inlinevirtual

Implements tesseract::FeatureBase.

Definition at line 43 of file feature_bmp.h.

{
return 5 + (conv_grid_size_ * conv_grid_size_);
}

## Member Data Documentation

int tesseract::FeatureBmp::conv_grid_size_

protected

Definition at line 49 of file feature_bmp.h.

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/cube/feature_bmp.h
- /mnt/data/src/tesseract-ocr/cube/feature_bmp.cpp